aboutsummaryrefslogtreecommitdiff
path: root/make_single_applets.sh
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2017-01-09 16:31:21 +0100
committerDenys Vlasenko <vda.linux@googlemail.com>2017-01-09 16:31:21 +0100
commite7b54d0fcce26fdbb0559728e317fb852c63e02b (patch)
tree266048a59192347b3241206d69a2a8d564328ec8 /make_single_applets.sh
parent590402bb55be940310f68d14a540f2d109420a98 (diff)
downloadbusybox-e7b54d0fcce26fdbb0559728e317fb852c63e02b.tar.gz
make_single_applets.sh: show errors and warnings
While at it, fix one warning in modprobe-small.c Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'make_single_applets.sh')
-rwxr-xr-xmake_single_applets.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/make_single_applets.sh b/make_single_applets.sh
index 00f502eda..03a5c324f 100755
--- a/make_single_applets.sh
+++ b/make_single_applets.sh
@@ -28,6 +28,8 @@ for app in $apps; do
done
#echo "$allno" >.config_allno
+trap 'test -f .config.SV && mv .config.SV .config && touch .config' EXIT
+
# Turn on each applet individually and build single-applet executable
fail=0
for app in $apps; do
@@ -54,16 +56,20 @@ for app in $apps; do
mv .config busybox_config_${app}
elif ! make $makeopts >>busybox_make_${app}.log 2>&1; then
: $((fail++))
+ grep -i -e error: -e warning: busybox_make_${app}.log
echo "Build error for ${app}"
mv .config busybox_config_${app}
elif ! grep -q '^#define NUM_APPLETS 1$' include/NUM_APPLETS.h; then
+ grep -i -e error: -e warning: busybox_make_${app}.log
mv busybox busybox_${app}
: $((fail++))
echo "NUM_APPLETS != 1 for ${app}: `cat include/NUM_APPLETS.h`"
mv .config busybox_config_${app}
else
+ grep -i -e error: -e warning: busybox_make_${app}.log \
+ || rm busybox_make_${app}.log
mv busybox busybox_${app}
- rm busybox_make_${app}.log
+ #mv .config busybox_config_${app}
fi
mv .config.SV .config
#exit